.\" $NetBSD: pcppi.4,v 1.10 2005/03/25 23:30:56 cube Exp $
.\"
.\" Copyright (c) 1999
.\" 	Matthias Drochner.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd March 22, 2005
.Dt PCPPI 4
.Os
.Sh NAME
.Nm pcppi
.Nd PC (ISA) control port driver
.Sh SYNOPSIS
.Cd "pcppi*   at acpi?"
.Cd "pcppi*   at isa?"
.Cd "isabeep* at pcppi?"
(alpha only)
.Cd "sysbeep* at pcppi?"
(i386 only)
.Cd "spkr0    at pcppi?"
.Cd "midi*    at pcppi?"
.Sh DESCRIPTION
The
.Nm
driver handles resource allocation and device attachment for the
ports related to the ISA speaker in the traditional PC/AT
.Dq design .
These are the
.Dq system control port
(which was implemented by the 8255
.Dq PPI
in the XT, hence the name of this driver)
at IO address 0x61.
.Pp
When associated with an
.Xr attimer 4
device, it is possible to change the pitch of the sounds emitted through
.Nm .
.Pp
The
.Nm
driver provides its child devices with the ability to output simple
tones through the PC speaker. The
.Xr speaker 4
and
.Xr midi 4
devices use this to synthesize sounds.
The
.Xr isabeep 4
and
.Xr sysbeep 4
devices are helpers which the
.Xr pckbd 4
driver uses as a substitute for a
.Dq keyboard beep ,
because the PC keyboard hardware doesn't provide this.
.Sh SEE ALSO
.Xr acpi 4 ,
.Xr attimer 4 ,
.Xr isa 4 ,
.Xr midi 4 ,
.Xr pckbd 4 ,
.Xr speaker 4
